Brivio API reference
Documents

Create a document

POST
/documents

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Request Body

application/json
  1. body
name*string
type?string
Value in"CONTRACT""INVOICE""RECEIPT""IDENTITY""CERTIFICATE""IMAGE""OTHER"
file_key*string
file_name*string
mime_type*string
file_size*integer
folder_id?string
project_id?string
tags?array<string>

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/documents" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "file_key": "string",    "file_name": "string",    "mime_type": "string",    "file_size": 0  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "type": "string",    "file_key": "string",    "file_name": "string",    "mime_type": "string",    "file_size": 0,    "is_archived": true  },  "error": null}